Skip to main content

Creates or updates a session variable for the authenticated user

POST /v1/sessionvariable

Summary​

Creates or updates a session variable for the authenticated user.

Details​

Request body: JSON object with the variable name in name and the

variable value in value.

Authentication​

No operation-level security requirement is documented here.

Parameters​

None documented here.

Request Body​

Required: Yes

application/json​

  • name (string, optional)
  • value (string, optional)

Example

{
"name": "RemoteWorker",
"value": "Example value"
}

Responses​

200​

Success

application/json​

  • key (integer (int64), optional)
  • sessionVariableTypeID (integer (int64), optional)
  • sessionID (integer (int64), optional)
  • variableName (string, optional)
  • variableValue (string, optional)
  • creationDate (string (date-time), optional)

Example

{
"key": 1,
"sessionVariableTypeID": 1,
"sessionID": 1,
"variableName": "Example value",
"variableValue": "Example value",
"creationDate": "2026-03-30T12:00:00.0000000Z"
}